[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor/master] practracker: Fail tests if any process exits unexpectedly
commit eb55d85e757c62a483e0e4ccb231ec33a1df84f3
Author: teor <teor@xxxxxxxxxxxxxx>
Date: Tue Jan 14 17:20:36 2020 +1000
practracker: Fail tests if any process exits unexpectedly
Part of 32705.
---
scripts/maint/practracker/test_practracker.sh | 9 ++++++---
1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/scripts/maint/practracker/test_practracker.sh b/scripts/maint/practracker/test_practracker.sh
index 3c87bc31b..43e7b0a32 100755
--- a/scripts/maint/practracker/test_practracker.sh
+++ b/scripts/maint/practracker/test_practracker.sh
@@ -1,5 +1,8 @@
#!/bin/sh
+# Fail if any subprocess fails unexpectedly
+set -e
+
umask 077
TMPDIR=""
@@ -37,11 +40,11 @@ run_practracker() {
--max-h-include-count=0 \
--max-include-count=0 \
--terse \
- "${DATA}/" "$@";
+ "${DATA}/" "$@" || true
}
compare() {
# we can't use cmp because we need to use -b for windows
- diff -b -u "$@" > "${TMPDIR}/test-diff"
+ diff -b -u "$@" > "${TMPDIR}/test-diff" || true
if test -z "$(cat "${TMPDIR}"/test-diff)"; then
echo "OK"
else
@@ -53,7 +56,7 @@ compare() {
echo "unit tests:"
-"${PYTHON:-python}" "${PRACTRACKER_DIR}/practracker_tests.py" || exit 1
+"${PYTHON:-python}" "${PRACTRACKER_DIR}/practracker_tests.py"
echo "ex0:"
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits